> ## Documentation Index
> Fetch the complete documentation index at: https://docs.p2p.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Yield Strategies

> Returns available yield vaults with live APY data. 206 Partial Content returned when some providers are slow or unreachable.



## OpenAPI

````yaml openapi/defi-api.json GET /api/defi/v1/earning/strategies
openapi: 3.0.3
info:
  title: DeFi API
  version: 1.0.0
servers:
  - url: https://edge.p2p.org
security:
  - ClientHash: []
  - ApiKey: []
tags:
  - name: Earning
  - name: Positions
  - name: Rewards
  - name: Transactions
  - name: Wallets
paths:
  /api/defi/v1/earning/strategies:
    get:
      tags:
        - Earning
      summary: Get Yield Strategies
      description: >-
        Returns available yield vaults with live APY data. 206 Partial Content
        returned when some providers are slow or unreachable.
      operationId: get_strategies
      parameters:
        - name: asset
          in: query
          schema:
            type: string
        - name: protocol
          in: query
          schema:
            type: string
        - name: isAsync
          in: query
          schema:
            type: boolean
        - name: sortingField
          in: query
          schema:
            type: string
            default: assetSymbol
        - name: sortingDirection
          in: query
          schema:
            type: string
            enum:
              - asc
              - desc
            default: asc
      responses:
        '200':
          description: List of strategies.
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      list:
                        type: array
                        items:
                          type: object
                          properties:
                            hash:
                              type: string
                            name:
                              type: string
                            chain:
                              type: string
                            protocol:
                              type: string
                            asset:
                              $ref: '#/components/schemas/Asset'
                            withdrawAsset:
                              $ref: '#/components/schemas/Asset'
                            swapAsset:
                              $ref: '#/components/schemas/Asset'
                              nullable: true
                            swapRate:
                              type: number
                              nullable: true
                            symbol:
                              type: string
                            addressList:
                              type: array
                              items:
                                type: string
                            fee:
                              type: number
                            yield:
                              type: object
                              properties:
                                netApy:
                                  type: number
                                nativeApy:
                                  type: number
                                rewards:
                                  type: array
                                  items:
                                    type: object
                                detailedApys:
                                  type: object
                                  properties:
                                    dailyApy:
                                      type: number
                                    dailyNetApy:
                                      type: number
                                    monthlyApy:
                                      type: number
                                    monthlyNetApy:
                                      type: number
                                totalDepositUsd:
                                  type: number
                            logoURI:
                              type: string
                            description:
                              type: string
                  error:
                    nullable: true
                    default: null
                  meta:
                    $ref: '#/components/schemas/ResponseMeta'
        '206':
          description: Partial content — some providers did not respond in time.
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: GetStrategyListFailedException
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    Asset:
      type: object
      properties:
        name:
          type: string
        ecosystem:
          type: string
        chain:
          type: string
        symbol:
          type: string
        decimals:
          type: integer
        contractAddress:
          type: string
        logoURI:
          type: string
          nullable: true
        priceUsd:
          type: number
          nullable: true
        totalSupply:
          type: number
          nullable: true
        isStakeable:
          type: boolean
    ResponseMeta:
      type: object
      properties:
        time:
          type: integer
        requestId:
          type: string
          format: uuid
    ErrorResponse:
      type: object
      properties:
        result:
          nullable: true
          default: null
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
            validationErrors:
              type: array
              items:
                type: object
        meta:
          $ref: '#/components/schemas/ResponseMeta'
  securitySchemes:
    ClientHash:
      type: apiKey
      in: header
      name: X-Client-Hash
    ApiKey:
      type: apiKey
      in: header
      name: apikey

````

## Related topics

- [Morpho](/docs/morpho.md)
- [Get Validator APY](/reference/data-validator-apy.md)
- [Get Delegator APY](/reference/data-delegator-apy.md)
- [Get Started](/docs/get-started.md)
- [Get Rewards History](/reference/eth-pool-account-rewards.md)
